Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.stat
Interface CallCenterStatProbes

All Known Implementing Classes:
  AbstractCallCenterStatProbes, ChainCallCenterStat, CVCallCenterStat, SimCallCenterStat, StatCallCenterStat

    public interface CallCenterStatProbes

Encapsulates collectors containing statistics about a simulated call center. This interface specifies a method mapping types of performance measures to matrices of statistical probes. These matrices are constructed and updated internally by the implementation. The updating method, which is implementation-specific, often uses another set of call center probes, or measures from a simulation logic.

The main implementation of this interface is `SimCallCenterStat`, which uses an instance of `CallCenterMeasureManager` to obtain observations for statistical collectors.

Method Summary
`DoubleMatrix2D` | `getAverage(PerformanceMeasureType pm)`
`DoubleMatrix2D[]` | `getConfidenceInterval(PerformanceMeasureType pm, double level)`
`Map<PerformanceMeasureType,MatrixOfStatProbes<?>>` | `getMatricesOfStatProbes()` Returns a map containing the matrix of statistical probes for each type of performance measure.
`MatrixOfFunctionOfMultipleMeansTallies<?>` | `getMatrixOfFunctionOfMultipleMeansTallies(PerformanceMeasureType pm)` Returns a matrix of function of multiple means tallies corresponding to the given type `pm` of performance measure.
`MatrixOfStatProbes<?>` | `getMatrixOfStatProbes(PerformanceMeasureType pm)` Returns a matrix of statistical probes corresponding to the given type `pm` of performance measure.
`MatrixOfTallies<?>` | `getMatrixOfTallies(PerformanceMeasureType pm)` Returns a matrix of tallies corresponding to the given type `pm` of performance measure.
`MatrixOfTallies<TallyStore>` | `getMatrixOfTallyStores(PerformanceMeasureType pm)` Returns a matrix of tallies corresponding to the given type `pm` of performance measure.
`DoubleMatrix2D` | `getMax(PerformanceMeasureType pm)`
`DoubleMatrix2D` | `getMin(PerformanceMeasureType pm)`
`PerformanceMeasureType[]` | `getPerformanceMeasures()` Returns the types of performance measures contained into the implemented set of call center probes.
`DoubleMatrix2D` | `getVariance(PerformanceMeasureType pm)`
`DoubleMatrix2D` | `getVarianceOfAverage(PerformanceMeasureType pm)`
`boolean` | `hasPerformanceMeasure(PerformanceMeasureType pm)` Determines if the implementing set of call center probes contains a matrix of probes for the performance measure `pm`.
`void` | `init()` Initializes the statistical collectors contained in this object.

Method Detail

### init

    void init()

  Initializes the statistical collectors contained in this object.

### getPerformanceMeasures

    PerformanceMeasureType[] getPerformanceMeasures()

  Returns the types of performance measures contained into the implemented set of call center probes. If the implementing group of probes does not contain any matrix of statistical probes, this method must return an array with length 0 rather than `null`.

  Returns:
    the supported types of performance measures.

### hasPerformanceMeasure

    boolean hasPerformanceMeasure(PerformanceMeasureType pm)

  Determines if the implementing set of call center probes contains a matrix of probes for the performance measure `pm`. This method returns `true` if and only if `getPerformanceMeasures()` returns an array containing `pm`.

  Parameters:
    `pm` - the type of performance measure.
  Returns:
    `true` if the measures are computed by the simulator, `false` otherwise.

### getMatricesOfStatProbes

    Map<PerformanceMeasureType,MatrixOfStatProbes<?>> getMatricesOfStatProbes()

  Returns a map containing the matrix of statistical probes for each type of performance measure.

  Returns:
    the map of statistical probes.

### getMatrixOfStatProbes

    MatrixOfStatProbes<?> getMatrixOfStatProbes(PerformanceMeasureType pm)

  Returns a matrix of statistical probes corresponding to the given type `pm` of performance measure. If the type `pm` is not supported, this method throws a `NoSuchElementException`.

  Parameters:
    `pm` - the type of performance measure.
  Returns:
    the matrix of statistical probes.
  Throws:
    `NoSuchElementException` - if the type of performance measure is not supported.

### getMatrixOfTallies

    MatrixOfTallies<?> getMatrixOfTallies(PerformanceMeasureType pm)

  Returns a matrix of tallies corresponding to the given type `pm` of performance measure. This method usually calls `getMatrixOfStatProbes(PerformanceMeasureType)` and casts the results into a matrix of tallies.

  Parameters:
    `pm` - the type of performance measure.
  Returns:
    the matrix of tallies.
  Throws:
    `NoSuchElementException` - if the type of performance measure is not supported.

### getMatrixOfTallyStores

    MatrixOfTallies<TallyStore> getMatrixOfTallyStores(PerformanceMeasureType pm)

  Returns a matrix of tallies corresponding to the given type `pm` of performance measure. This method usually calls `getMatrixOfStatProbes(PerformanceMeasureType)` and casts the results into a matrix of tallies that can store their observations.

  Parameters:
    `pm` - the type of performance measure.
  Returns:
    the matrix of tallies.
  Throws:
    `NoSuchElementException` - if the type of performance measure is not supported.

### getMatrixOfFunctionOfMultipleMeansTallies

    MatrixOfFunctionOfMultipleMeansTallies<?> getMatrixOfFunctionOfMultipleMeansTallies(PerformanceMeasureType pm)

  Returns a matrix of function of multiple means tallies corresponding to the given type `pm` of performance measure. This method usually calls `getMatrixOfStatProbes(PerformanceMeasureType)` and casts the results into a matrix of tallies.

  Parameters:
    `pm` - the type of performance measure.
  Returns:
    the matrix of tallies.
  Throws:
    `NoSuchElementException` - if the type of performance measure is not supported.

### getAverage

    DoubleMatrix2D getAverage(PerformanceMeasureType pm)

### getVariance

    DoubleMatrix2D getVariance(PerformanceMeasureType pm)

### getVarianceOfAverage

    DoubleMatrix2D getVarianceOfAverage(PerformanceMeasureType pm)

### getMin

    DoubleMatrix2D getMin(PerformanceMeasureType pm)

### getMax

    DoubleMatrix2D getMax(PerformanceMeasureType pm)

### getConfidenceInterval

    DoubleMatrix2D[] getConfidenceInterval(PerformanceMeasureType pm,
                                           double level)

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.